import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import ReportView from '../views/ReportView.vue'

const router = createRouter({
    history: createWebHistory(import.meta.env.BASE_URL),
    routes: [
        {
            path: '/',
            name: 'home',
            component: ReportView
        },
        {
            path: '/about',
            name: 'about',
            // route level code-splitting
            // this generates a separate chunk (About.[hash].js) for this route
            // which is lazy-loaded when the route is visited.
            component: () => import('../views/AboutView.vue')
        },
        {
            path: '/map_update',
            name: 'map_update',
            component: () => import('../views/MapUpdateView.vue')
        },
        {
            path: '/update_stat',
            name: 'update_stat',
            component: () => import('../views/UpdateStatView.vue')
        },
        {
            path: '/map_rescan',
            name: 'map_rescan',
            component: () => import('../views/MapRescanView.vue')
        },
        {
            path: '/test_record',
            name: 'test_record',
            component: () => import('../views/TestRecordView.vue')
        },
        {
            path: '/algorithm_eval',
            name: 'algorithm_eval',
            component: () => import('../views/AlgorithmEvalView.vue')
        }
    ]
})

export default router
